# flopc::Constraint Class Reference
[Internal (private) interface.]

Semantic representation of a constraint in a Math Program. More...

`#include <MP_constraint.hpp>`

Collaboration diagram for flopc::Constraint:
[legend]

List of all members.

## Private Member Functions
| Constraint (const MP_expression &l, const MP_expression &r, Sense_enum s)
## Private Attributes
MP_expression | left
MP_expression | right
Sense_enum | sense
## Friends
class | MP_constraint
class | MP_model
Constraint | operator<= (const MP_expression &l, const MP_expression &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator<= (const Constant &l, const MP_expression &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator<= (const MP_expression &l, const Constant &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator<= (const VariableRef &l, const VariableRef &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator>= (const MP_expression &l, const MP_expression &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator>= (const Constant &l, const MP_expression &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator>= (const MP_expression &l, const Constant &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator>= (const VariableRef &l, const VariableRef &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator== (const MP_expression &l, const MP_expression &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator== (const Constant &l, const MP_expression &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator== (const MP_expression &l, const Constant &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.
Constraint | operator== (const VariableRef &l, const VariableRef &r)
| Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

## Detailed Description

Semantic representation of a constraint in a Math Program.

See also:
  MP_constraint for a public interface.

Note:
  of interest is the operator overloads which are 'friends'

Definition at line 39 of file MP_constraint.hpp.

## Constructor & Destructor Documentation

flopc::Constraint::Constraint | ( | const MP_expression & | l,
|  | const MP_expression & | r,
|  | Sense_enum | s |
| ) |  |  | `[inline, private]`

Definition at line 57 of file MP_constraint.hpp.

## Friends And Related Function Documentation

friend class MP_constraint`[friend]`

Definition at line 40 of file MP_constraint.hpp.

friend class MP_model`[friend]`

Definition at line 41 of file MP_constraint.hpp.

Constraint operator<= | ( | const MP_expression & | l,
|  | const MP_expression & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 69 of file MP_constraint.hpp.

Constraint operator<= | ( | const Constant & | l,
|  | const MP_expression & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 77 of file MP_constraint.hpp.

Constraint operator<= | ( | const MP_expression & | l,
|  | const Constant & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 85 of file MP_constraint.hpp.

Constraint operator<= | ( | const VariableRef & | l,
|  | const VariableRef & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 93 of file MP_constraint.hpp.

Constraint operator>= | ( | const MP_expression & | l,
|  | const MP_expression & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 102 of file MP_constraint.hpp.

Constraint operator>= | ( | const Constant & | l,
|  | const MP_expression & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 110 of file MP_constraint.hpp.

Constraint operator>= | ( | const MP_expression & | l,
|  | const Constant & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 118 of file MP_constraint.hpp.

Constraint operator>= | ( | const VariableRef & | l,
|  | const VariableRef & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 126 of file MP_constraint.hpp.

Constraint operator== | ( | const MP_expression & | l,
|  | const MP_expression & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 135 of file MP_constraint.hpp.

Constraint operator== | ( | const Constant & | l,
|  | const MP_expression & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 143 of file MP_constraint.hpp.

Constraint operator== | ( | const MP_expression & | l,
|  | const Constant & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 151 of file MP_constraint.hpp.

Constraint operator== | ( | const VariableRef & | l,
|  | const VariableRef & | r |
| ) |  |  | `[friend]`

Uses operator overloading to construct an ConstraintConstucts a Constraint using operator overloading.

See also:
  MP_constraint

Definition at line 159 of file MP_constraint.hpp.

## Member Data Documentation

MP_expression flopc::Constraint::left`[private]`

Definition at line 60 of file MP_constraint.hpp.

MP_expression flopc::Constraint::right`[private]`

Definition at line 60 of file MP_constraint.hpp.

Sense_enum flopc::Constraint::sense`[private]`

Definition at line 61 of file MP_constraint.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_constraint.hpp